#!/bin/sh

# son1fl.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son1.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son11

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son12

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 son13

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son1fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son1fl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son1fl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son1*.epsi > /dev/null

rm -f son1fl.dvi > /dev/null

exit
