#!/bin/sh

# son5.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son5.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son51

# 2nd movement, 3 pages

echo 2nd movement, generating single pages ...

domovement 3 son52

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 son53

# Music examples

echo Music example son51_note1

mup2epsi son51_note1

echo Music example son52_note1

mup2epsi son52_note1

echo Music example son53_note1

mup2epsi son53_note1

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son5 > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son5

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son5

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son5*.epsi > /dev/null

rm -f son5.dvi > /dev/null

exit
