#!/bin/sh

# son6fl.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son6.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son61

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son62

# 3rd movement, 2 page

echo 3rd movement, generating single pages ...

domovement 2 son63

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son6fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son6fl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son6fl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son6*.epsi > /dev/null

rm -f son6fl.dvi > /dev/null

exit
