#!/bin/sh

# son6u.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son6.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son61

# 2nd movement, 3 pages

echo 2nd movement, generating single pages ...

domovement 3 son62

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 son63

# Music examples

echo Music example son61_note1

mup2epsi son61_note1

echo Music example son63_note1

mup2epsi son63_note1

echo Music example son63_note2

mup2epsi son63_note2

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son6u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son6u

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son6u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son6*.epsi > /dev/null

rm -f son6u.dvi > /dev/null

exit
